Report length of Tube Feature

The following journal will prompt the user to select a tube feature and will report the total length of the tube. Copy and paste the following code into a text file, then save it with a name such as “Tube_Length.vb”. Create or open a file that has some tube features in it and run the journal. The tube may be made of a single sketch, multiple sketches, dumb curves, edges, or any combination thereof. The journal demonstrates how to access the individual curves used to create the tube feature, and the use of the Ui.SelectWithSingleDialog function.

Point3d and Point objects: Part 2

Working with Points Part 2

Creating points by specifying exact coordinates is well and good, but often you don’t much care about the location in absolute space but rather you need it to be located relative to another piece of geometry: the midpoint of a line, the intersection of a curve and a plane, the center of an arc. You can go through the trouble of calculating these locations and creating points at the coordinates, or you can use the tools in the NXOpen API to help out.

Use your head

Add component attribute find number

The following journal is an extension of the code presented in the processing components tutorial.

This journal will recursively walk through the assembly structure and prompt for a "find number" to be added to each component as an attribute. Subsequent runs of the journal will ignore components that already have a unique find number attribute.

Pages